local t = {}

local fs = love.filesystem

local images = {}
local sounds = {}
local loc = {}

function t.addImage(file, id)
	if images[id] then
		printf("%s already added to image cache; loading anyway", id)
	end

	local img = gf.newImage(file)
	assertf(img, "Bad file path son: %s", file)
	images[id] = img
end

function t.getImage(id)
	assertf(images[id], "No such image: %s", id)

	return images[id]
end

function t.addSound(file, id)
end

function t.getSound(id)
end

function t.loadLoc(file)
	loc = fs.load(file)()
end

function t.getLoc(id)
	assertf(loc[id], "No such localization entry: %s", id)

	return loc[id]
end

return t